#property copyright "*"
#property link      "*"

#property indicator_separate_window
#property indicator_buffers 8
#property indicator_color1 Red
#property indicator_color2 Yellow
#property indicator_color3 DodgerBlue
#property indicator_color4 Lime
#property indicator_color5 Orange
#property indicator_color6 Orange
#property indicator_color7 Aqua
#property indicator_color8 Aqua
#property indicator_level1 0

//---- input parameters

extern double k=1;

extern int Pr=0;

//---- buffers

double A1[];
double A2[];
double A3[];
double A4[];
double A5[];
double A6[];
double A7[];
double A8[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE,0,1);
   SetIndexBuffer(0,A1);
   SetIndexStyle(1,DRAW_LINE,0,1);
   SetIndexBuffer(1,A2);
   
   SetIndexStyle(2,DRAW_LINE,0,1);
   SetIndexBuffer(2,A3);
   SetIndexStyle(3,DRAW_LINE,0,1);
   SetIndexBuffer(3,A4);  
   
   SetIndexStyle(4,DRAW_ARROW,0,0);
   SetIndexArrow(4,159);
   SetIndexBuffer(4,A5);
   SetIndexStyle(5,DRAW_ARROW,0,0);
   SetIndexArrow(5,159);   
   SetIndexBuffer(5,A6);    
   
   SetIndexStyle(6,DRAW_ARROW,0,0);
   SetIndexArrow(6,159);
   SetIndexBuffer(6,A7);
   SetIndexStyle(7,DRAW_ARROW,0,0);
   SetIndexArrow(7,159);   
   SetIndexBuffer(7,A8);       
    
   
   SetLevelStyle(0,0,Black);
   

 
   
   
  
 
    
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start(){
  double m;
  double c,p;
   int limit=Bars-IndicatorCounted();
      for(int i=limit-1;i>=0;i--){
         A1[i]=iMACD(NULL,0,k*3,k*30,9,Pr,MODE_MAIN,i);
       
         A2[i]=iMACD(NULL,0,k*15,k*60,9,Pr,MODE_MAIN,i);             
      }
      for(i=limit-1;i>=0;i--){
         A3[i]=iMAOnArray(A1,0,3,0,0,i);
         A4[i]=iMAOnArray(A2,0,3,0,0,i);            
      } 
      for(i=limit-1;i>=0;i--){
         A5[i]=EMPTY_VALUE;
         if(A1[i]>A3[i] && A1[i+1]<=A3[i+1])A5[i]=A3[i]-Point*1;
         A6[i]=EMPTY_VALUE;
         if(A1[i]<A3[i] && A1[i+1]>=A3[i+1])A6[i]=A3[i]+Point*1;         
         A7[i]=EMPTY_VALUE;
         if(A2[i]>A4[i] && A2[i+1]<=A4[i+1])A7[i]=A4[i]-Point*1;
         A8[i]=EMPTY_VALUE;
         if(A2[i]<A4[i] && A2[i+1]>=A4[i+1])A8[i]=A4[i]+Point*1;           
      }      
           
      
   return(0);
  }
//+------------------------------------------------------------------+

